// ************************************************************************************************ 
//    Absolute Beginner Projekt 04
//
//	Textanzeige auf einem LCD
// ************************************************************************************************ 
// Copyright keins
// Version 
/*
* Chip type           : ATMEGA 88
* Clock frequency     : Internal clock 1 Mhz (The device is shipped with this option selected.)
* Fuse Bits einfach auf Auslieferungszustand lassen!

Ein- und Ausgnge
PORT B 0 (14) = 
PORT B 1 (15) = 
PORT B 2 (16) = 
PORT B 3 (17) = 
PORT B 4 (18) = 
PORT B 5 (19) = 
PORT B 6 ( 9) = 
PORT B 7 (10) = 

PORT C 0 (23) = 
PORT C 1 (24) = 
PORT C 2 (25) = 
PORT C 3 (26) = 
PORT C 4 (27) = 	
PORT C 5 (28) = 

PORT D 0 ( 2) = Anschluss 11 am LCD = DB4 
PORT D 1 ( 3) = Anschluss 12 am LCD = DB5 
PORT D 2 ( 4) = Anschluss 13 am LCD = DB6 
PORT D 3 ( 5) = Anschluss 14 am LCD = DB7 
PORT D 4 ( 6) = Anschluss  4 am LCD = RS
PORT D 5 (11) = Anschluss  6 am LCD = E Enable
PORT D 6 (12) = 
PORT D 7 (13) = 
*/


// Main.c
// 

// ************************************************************************************************ 
// Include Dateien laden
// ************************************************************************************************ 

#include <avr/io.h>
#include "lcd-routines.h"



int main(void)
{
  // Initialisierung des LCD
  // Nach der Initialisierung mssen auf dem LCD vorhandene schwarze Balken
  // verschwunden sein
  lcd_init();
 
  // Text in einzelnen Zeichen ausgeben
  lcd_data( 'T' );
  lcd_data( 'e' );
  lcd_data( 's' );
  lcd_data( 't' );
  lcd_data( ' ' );
 // erneut Text ausgeben, aber diesmal komfortabler als String
  lcd_string("Hello World");

  // Die Ausgabemarke in die 2te Zeile setzen
  lcd_setcursor( 0, 2 );
 
  
// Beispiel
int variable = 14236;
 // Ausgabe der Variable als Text in dezimaler Schreibweise
{
     // ... umwandeln siehe FAQ Artikel bei http://www.mikrocontroller.net/Articles/FAQ
     // WinAVR hat eine itoa()-Funktion, das erfordert obiges #include <stdlib.h>
     char Buffer[20]; // in diesem {} lokal
     itoa( variable, Buffer, 10 ); 
 
     // ... ausgeben  
     lcd_string( Buffer );
  }
  lcd_data( 'k' );
  lcd_data( 'm' );
  lcd_data( '/' );
  lcd_data( 'h' );





 
  while(1)
  {
  }
 
  return 0;
}
